Compare Image With Constant Operations
Comparison Operations

Compare the pixels of an image with a constant value and create a binary result image. More...

## Functions

NppStatus | nppiCompareC_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, const Npp8u nConstant, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 1 channel 8-bit unsigned char image compare with constant value. More...
NppStatus | nppiCompareC_8u_C1R (const Npp8u *pSrc, int nSrcStep, const Npp8u nConstant, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
NppStatus | nppiCompareC_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, const Npp8u *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned char image compare with constant value. More...
NppStatus | nppiCompareC_8u_C3R (const Npp8u *pSrc, int nSrcStep, const Npp8u *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
NppStatus | nppiCompareC_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, const Npp8u *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned char image compare with constant value. More...
NppStatus | nppiCompareC_8u_C4R (const Npp8u *pSrc, int nSrcStep, const Npp8u *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
NppStatus | nppiCompareC_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, const Npp8u *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned char image compare, not affecting Alpha. More...
NppStatus | nppiCompareC_8u_AC4R (const Npp8u *pSrc, int nSrcStep, const Npp8u *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
NppStatus | nppiCompareC_16u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, const Npp16u nConstant, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 1 channel 16-bit unsigned short image compare with constant value. More...
NppStatus | nppiCompareC_16u_C1R (const Npp16u *pSrc, int nSrcStep, const Npp16u nConstant, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
NppStatus | nppiCompareC_16u_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, const Npp16u *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned short image compare with constant value. More...
NppStatus | nppiCompareC_16u_C3R (const Npp16u *pSrc, int nSrcStep, const Npp16u *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
NppStatus | nppiCompareC_16u_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, const Npp16u *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned short image compare with constant value. More...
NppStatus | nppiCompareC_16u_C4R (const Npp16u *pSrc, int nSrcStep, const Npp16u *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
NppStatus | nppiCompareC_16u_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, const Npp16u *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned short image compare, not affecting Alpha. More...
NppStatus | nppiCompareC_16u_AC4R (const Npp16u *pSrc, int nSrcStep, const Npp16u *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
NppStatus | nppiCompareC_16s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, const Npp16s nConstant, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 1 channel 16-bit signed short image compare with constant value. More...
NppStatus | nppiCompareC_16s_C1R (const Npp16s *pSrc, int nSrcStep, const Npp16s nConstant, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
NppStatus | nppiCompareC_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, const Npp16s *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed short image compare with constant value. More...
NppStatus | nppiCompareC_16s_C3R (const Npp16s *pSrc, int nSrcStep, const Npp16s *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
NppStatus | nppiCompareC_16s_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, const Npp16s *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed short image compare with constant value. More...
NppStatus | nppiCompareC_16s_C4R (const Npp16s *pSrc, int nSrcStep, const Npp16s *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
NppStatus | nppiCompareC_16s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, const Npp16s *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed short image compare, not affecting Alpha. More...
NppStatus | nppiCompareC_16s_AC4R (const Npp16s *pSrc, int nSrcStep, const Npp16s *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
NppStatus | nppiCompareC_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, const Npp32f nConstant, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 1 channel 32-bit floating point image compare with constant value. More...
NppStatus | nppiCompareC_32f_C1R (const Npp32f *pSrc, int nSrcStep, const Npp32f nConstant, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
NppStatus | nppiCompareC_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, const Npp32f *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point image compare with constant value. More...
NppStatus | nppiCompareC_32f_C3R (const Npp32f *pSrc, int nSrcStep, const Npp32f *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
NppStatus | nppiCompareC_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, const Npp32f *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point image compare with constant value. More...
NppStatus | nppiCompareC_32f_C4R (const Npp32f *pSrc, int nSrcStep, const Npp32f *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
NppStatus | nppiCompareC_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, const Npp32f *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 4 channel 32-bit signed floating point compare, not affecting Alpha. More...
NppStatus | nppiCompareC_32f_AC4R (const Npp32f *pSrc, int nSrcStep, const Npp32f *pConstants, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)

## Detailed Description

Compare the pixels of an image with a constant value and create a binary result image.

In case of multi-channel image types, the condition must be fulfilled for all channels, otherwise the comparison is considered false. The "binary" result image is of type 8u_C1. False is represented by 0, true by NPP_MAX_8U.

### Common parameters for nppiCompareC functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  nConstant | constant value for single channel functions.
  pConstants | pointer to a list of constant values, one per color channel for multi-channel functions.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eComparisonOperation | Specifies the comparison operation to be used in the pixel comparison.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiCompareC_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | const Npp16s * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiCompareC_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | const Npp16s * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed short image compare, not affecting Alpha.

Compare pSrc's pixels with constant value.

For common parameter descriptions, see Common parameters for nppiCompareC functions.

NppStatus nppiCompareC_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | const Npp16s | nConstant,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiCompareC_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | const Npp16s | nConstant,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit signed short image compare with constant value.

Compare pSrc's pixels with constant value.

For common parameter descriptions, see Common parameters for nppiCompareC functions.

NppStatus nppiCompareC_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | const Npp16s * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiCompareC_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | const Npp16s * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed short image compare with constant value.

Compare pSrc's pixels with constant value.

For common parameter descriptions, see Common parameters for nppiCompareC functions.

NppStatus nppiCompareC_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | const Npp16s * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiCompareC_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | const Npp16s * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed short image compare with constant value.

Compare pSrc's pixels with constant value.

For common parameter descriptions, see Common parameters for nppiCompareC functions.

NppStatus nppiCompareC_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp16u * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiCompareC_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp16u * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned short image compare, not affecting Alpha.

Compare pSrc's pixels with constant value.

For common parameter descriptions, see Common parameters for nppiCompareC functions.

NppStatus nppiCompareC_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp16u | nConstant,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiCompareC_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp16u | nConstant,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit unsigned short image compare with constant value.

Compare pSrc's pixels with constant value.

For common parameter descriptions, see Common parameters for nppiCompareC functions.

NppStatus nppiCompareC_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp16u * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiCompareC_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp16u * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned short image compare with constant value.

Compare pSrc's pixels with constant value.

For common parameter descriptions, see Common parameters for nppiCompareC functions.

NppStatus nppiCompareC_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp16u * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiCompareC_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp16u * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned short image compare with constant value.

Compare pSrc's pixels with constant value.

For common parameter descriptions, see Common parameters for nppiCompareC functions.

NppStatus nppiCompareC_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp32f * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiCompareC_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp32f * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit signed floating point compare, not affecting Alpha.

Compare pSrc's pixels with constant value.

For common parameter descriptions, see Common parameters for nppiCompareC functions.

NppStatus nppiCompareC_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp32f | nConstant,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiCompareC_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp32f | nConstant,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit floating point image compare with constant value.

Compare pSrc's pixels with constant value.

For common parameter descriptions, see Common parameters for nppiCompareC functions.

NppStatus nppiCompareC_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp32f * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiCompareC_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp32f * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point image compare with constant value.

Compare pSrc's pixels with constant value.

For common parameter descriptions, see Common parameters for nppiCompareC functions.

NppStatus nppiCompareC_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp32f * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiCompareC_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp32f * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point image compare with constant value.

Compare pSrc's pixels with constant value.

For common parameter descriptions, see Common parameters for nppiCompareC functions.

NppStatus nppiCompareC_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiCompareC_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned char image compare, not affecting Alpha.

Compare pSrc's pixels with constant value.

For common parameter descriptions, see Common parameters for nppiCompareC functions.

NppStatus nppiCompareC_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u | nConstant,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiCompareC_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u | nConstant,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit unsigned char image compare with constant value.

Compare pSrc's pixels with constant value.

For common parameter descriptions, see Common parameters for nppiCompareC functions.

NppStatus nppiCompareC_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiCompareC_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned char image compare with constant value.

Compare pSrc's pixels with constant value.

For common parameter descriptions, see Common parameters for nppiCompareC functions.

NppStatus nppiCompareC_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiCompareC_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pConstants,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned char image compare with constant value.

Compare pSrc's pixels with constant value.

For common parameter descriptions, see Common parameters for nppiCompareC functions.

Copyright © 2009-2018 NVIDIA Corporation